void _fastcall dfputs(char _near *);
void _fastcall printn(unsigned short);
void _fastcall printd(unsigned short);

unsigned long _fastcall ntohl(unsigned long);
unsigned long _fastcall htonl(unsigned long);

void _fastcall int86(char);
int open(char *, char);
int ioctl(int, int, char _near *, int);
int read(int, void *, int);
int write(int, const void *, int);
int close(int);

void patch_vec(unsigned short);
int locate_sys_vector(void);

int _fastcall convert_error(int);
void net_perror(char _near *);
int _fastcall bind(int, unsigned short, int);

int _fastcall bw_init(short _far *);
int _fastcall bw_shutdown(short _far *);
int _fastcall bw_socket(short _far *);
int _fastcall bw_info(short _far *);
int _fastcall bw_accept(short _far *);
int _fastcall bw_drain(short _far *);
int _fastcall bw_release(short _far *);
int _fastcall bw_eof(short _far *);
int _fastcall bw_read(short _far *);
int _fastcall bw_write(short _far *);
int _fastcall bw_recv(short _far *);
int _fastcall bw_sendto(short _far *);
int _fastcall bw_select(short _far *);
